Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.network
Interface Edge

All Known Subinterfaces:
  DrawableEdge

All Known Implementing Classes:
  DefaultDrawableEdge, DefaultEdge, HyperCycleLink, HyperLink, JainEdge, JiggleEdge, JinGirNewEdge

    public interface Edge

A interface for all edge objects (as in nodes and edges). Implementing this inteface allows the edge to be displayed correctly.

At this time labels are not displayed.

Version:
  $Revision: 1.3 $ $Date: 2004/11/03 19:51:01 $
Author:
  Nick Collier

Method Summary
`Node` | `getFrom()` Gets the node that this edge comes from.
`java.lang.String` | `getLabel()` Gets the label for this edge.
`double` | `getStrength()` Gets the strength of this edge
`Node` | `getTo()` Gets the node that this edge goes to
`java.lang.String` | `getType()` Gets the type of this edge.
`void` | `setFrom(Node node)` Sets the from node
`void` | `setLabel(java.lang.String label)` Sets the label for this edge
`void` | `setStrength(double val)` Sets the strength of this edge
`void` | `setTo(Node node)` Sets the to Node
`void` | `setType(java.lang.String type)` Sets the type of this edge.

Method Detail

### getFrom

    Node getFrom()

  Gets the node that this edge comes from.

### getTo

    Node getTo()

  Gets the node that this edge goes to

### setFrom

    void setFrom(Node node)

  Sets the from node

### setTo

    void setTo(Node node)

  Sets the to Node

### setLabel

    void setLabel(java.lang.String label)

  Sets the label for this edge

  Parameters:
    `label` - the label for this edge

### getLabel

    java.lang.String getLabel()

  Gets the label for this edge.

### setStrength

    void setStrength(double val)

  Sets the strength of this edge

### getStrength

    double getStrength()

  Gets the strength of this edge

### getType

    java.lang.String getType()

  Gets the type of this edge. This is typically used to track the type of network.

### setType

    void setType(java.lang.String type)

  Sets the type of this edge. This is typically used to track the type of network (i.e. marriage etc.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD